Add opacity slider for colour chooser in 2.5D renderer

2016-05-24 06:27 AM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 22830

Description

For now roof, wall and shadow colors for 2.5D renderer can’t be made transparent. I thought a standard color chooser is used for colors

there, but it’s missing opacity slider. That should be quite handy when rendering buildings.

Associated revisions

Revision 7af95b10 - 2016-05-25 07:41 AM - Nyall Dawson

Allow opacity change for 25d renderer colors (fix #14877)

Revision b0638d95 - 2016-05-25 08:03 AM - Nyall Dawson

Allow opacity change for 25d renderer colors (fix #14877)

(cherry-picked from 7af95b10a0e3e4946940dfb0cb85486ff992e608)

History

#1 - 2016-05-24 10:41 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"7af95b10a0e3e4946940dfb0cb85486ff992e608".

#2 - 2016-05-25 05:04 AM - Nikolay Lebedev

Checked that transparency commit. It mostly works, but when `Shade walls based on aspect` checkbox is turned on, wall opacity can’t be changed. I guess

wall color get's calculated in that case, and opacity value doesn't get applied to the calculated colour. 

Reopen?
